package com.xhpc.order.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * @author yuyang
 * @date 2021/8/7 15:06
 */
public class XhpcRealTimeOrder extends BaseEntity {

    /**
     * 充电订单实时数据
     */
    private Long realTimeOrderId;
    /**
     * 充电订单id
     */
    private Long chargingOrderId;
    /**
     * 交易流水号
     */
    private String transactionNumber;
    /**
     * 桩编号
     */
    private String pileNumber;
    /**
     * 枪编号
     */
    private String gunNumber;
    /**
     * 枪是否归位（0否  1 是）
     */
    private Integer pileGunStatus;
    /**
     * 是否插枪（0否 1是）
     */
    private Integer vehicleGunStatus;
    /**
     * 电压
     */
    private BigDecimal voltage;
    /**
     * 电流
     */
    private BigDecimal electricCurrent;
    /**
     * 枪线温度
     */
    private Integer gunLineTemperature;
    /**
     * 枪线编码
     */
    private String gunLineNumber;
    /**
     * SOC
     */
    private String soc;
    /**
     * 电池组最高温度
     */
    private Integer maxTemperature;
    /**
     * 累计充电时间(时间)
     */
    private String chargingTime;

    /**
     * 累计充电时间（整数）
     */
    private Integer chargingTimeNumber;

    /**
     * 剩余时间
     */
    private String remainingTime;
    /**
     * 充电度数
     */
    private BigDecimal chargingDegree;
    /**
     * 计损充电度数
     */
    private BigDecimal lossChargingDegree;
    /**
     * 已充金额
     */
    private BigDecimal amountCharged;
    /**
     * 硬件故障
     */
    private String hardwareFault;
    /**
     * (状态（0离线 1故障 2空闲 3充电）)
     */
    private Integer status;
    /**
     * 备注
     */
    private String remark;
    /**
     * 充电用户id
     */
    private Long userId;
    /**
     * 场站id
     */
    private Long chargingStationId;
    /**
     * 电桩id
     */
    private Long chargingPileId;
    /**
     * 终端id
     */
    private Long terminalId;

    /**
     * 订单来源（0 C端用户 1 流量方用户 2社区用户 3B端用户）
     */
    private Integer source;

    public Long getChargingOrderId() {

        return chargingOrderId;
    }

    public void setChargingOrderId(Long chargingOrderId) {

        this.chargingOrderId = chargingOrderId;
    }

    public String getTransactionNumber() {

        return transactionNumber;
    }

    public void setTransactionNumber(String transactionNumber) {

        this.transactionNumber = transactionNumber;
    }

    public String getPileNumber() {

        return pileNumber;
    }

    public void setPileNumber(String pileNumber) {

        this.pileNumber = pileNumber;
    }

    public Integer getPileGunStatus() {

        return pileGunStatus;
    }

    public void setPileGunStatus(Integer pileGunStatus) {

        this.pileGunStatus = pileGunStatus;
    }

    public Integer getVehicleGunStatus() {

        return vehicleGunStatus;
    }

    public void setVehicleGunStatus(Integer vehicleGunStatus) {

        this.vehicleGunStatus = vehicleGunStatus;
    }

    public BigDecimal getVoltage() {

        return voltage;
    }

    public void setVoltage(BigDecimal voltage) {

        this.voltage = voltage;
    }

    public BigDecimal getElectricCurrent() {

        return electricCurrent;
    }

    public void setElectricCurrent(BigDecimal electricCurrent) {

        this.electricCurrent = electricCurrent;
    }

    public Integer getGunLineTemperature() {

        return gunLineTemperature;
    }

    public void setGunLineTemperature(Integer gunLineTemperature) {

        this.gunLineTemperature = gunLineTemperature;
    }

    public String getGunLineNumber() {

        return gunLineNumber;
    }

    public void setGunLineNumber(String gunLineNumber) {

        this.gunLineNumber = gunLineNumber;
    }

    public String getSoc() {

        return soc;
    }

    public void setSoc(String soc) {

        this.soc = soc;
    }

    public Integer getMaxTemperature() {

        return maxTemperature;
    }

    public void setMaxTemperature(Integer maxTemperature) {

        this.maxTemperature = maxTemperature;
    }

    public String getChargingTime() {

        return chargingTime;
    }

    public void setChargingTime(String chargingTime) {

        this.chargingTime = chargingTime;
    }

    public String getRemainingTime() {

        return remainingTime;
    }

    public void setRemainingTime(String remainingTime) {

        this.remainingTime = remainingTime;
    }

    public BigDecimal getChargingDegree() {

        return chargingDegree;
    }

    public void setChargingDegree(BigDecimal chargingDegree) {

        this.chargingDegree = chargingDegree;
    }

    public BigDecimal getLossChargingDegree() {

        return lossChargingDegree;
    }

    public void setLossChargingDegree(BigDecimal lossChargingDegree) {

        this.lossChargingDegree = lossChargingDegree;
    }

    public BigDecimal getAmountCharged() {

        return amountCharged;
    }

    public void setAmountCharged(BigDecimal amountCharged) {

        this.amountCharged = amountCharged;
    }

    public String getHardwareFault() {

        return hardwareFault;
    }

    public void setHardwareFault(String hardwareFault) {

        this.hardwareFault = hardwareFault;
    }

    public Integer getStatus() {

        return status;
    }

    public void setStatus(Integer status) {

        this.status = status;
    }

    @Override
    public String getRemark() {

        return remark;
    }

    @Override
    public void setRemark(String remark) {

        this.remark = remark;
    }

    public Long getUserId() {

        return userId;
    }

    public void setUserId(Long userId) {

        this.userId = userId;
    }

    public Long getChargingStationId() {

        return chargingStationId;
    }

    public void setChargingStationId(Long chargingStationId) {

        this.chargingStationId = chargingStationId;
    }

    public Long getRealTimeOrderId() {

        return realTimeOrderId;
    }

    public void setRealTimeOrderId(Long realTimeOrderId) {

        this.realTimeOrderId = realTimeOrderId;
    }

    public String getGunNumber() {

        return gunNumber;
    }

    public void setGunNumber(String gunNumber) {

        this.gunNumber = gunNumber;
    }

    public Integer getChargingTimeNumber() {

        return chargingTimeNumber;
    }

    public void setChargingTimeNumber(Integer chargingTimeNumber) {

        this.chargingTimeNumber = chargingTimeNumber;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Long getChargingPileId() {
        return chargingPileId;
    }

    public void setChargingPileId(Long chargingPileId) {
        this.chargingPileId = chargingPileId;
    }

    public Long getTerminalId() {
        return terminalId;
    }

    public void setTerminalId(Long terminalId) {
        this.terminalId = terminalId;
    }
}
